All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Interface OLAPTableViewAreaInterface

All Known Subinterfaces:
  SwingOLAPTableViewAreaInterface

All Known Implementing Classes:
  BaseOLAPTableViewSupport, HttpOLAPActionStrategyFactory, HttpOLAPActionUtil, HttpOLAPTableViewSupport, OLAPActionUtil, SelectorActionUtil, SwingOLAPActionStrategyFactory, SwingOLAPTableViewSupport

    public interface OLAPTableViewAreaInterface

Field Summary
`static java.lang.String` | `COLUMN_HEADER_AREA` The areaType key used to define the column headers area of an OLAP table view.
`static java.lang.String` | `COLUMN_TITLE_AREA` The areaType key used to define the corner area of an OLAP table view to the left of the column headers.
`static java.lang.String` | `DATA_CELL_AREA` The areaType key used to define the data cells area of an OLAP table view.
`static java.lang.String` | `ROW_HEADER_AREA` The areaType key used to define the row headers area of an OLAP table view.
`static java.lang.String` | `ROW_TITLE_AREA` The areaType key used to define the corner area of an OLAP table view above the row headers.
`static java.lang.String` | `TITLE_AREA` The areaType key used to define the corner area of an OLAP table view above the row headers and to the left of the column headers.

Field Detail

### TITLE_AREA

    static final java.lang.String TITLE_AREA

  The areaType key used to define the corner area of an OLAP table view above the row headers and to the left of the column headers.

  See Also:
    Constant Field Values

### ROW_TITLE_AREA

    static final java.lang.String ROW_TITLE_AREA

  The areaType key used to define the corner area of an OLAP table view above the row headers.

  See Also:
    Constant Field Values

### COLUMN_TITLE_AREA

    static final java.lang.String COLUMN_TITLE_AREA

  The areaType key used to define the corner area of an OLAP table view to the left of the column headers.

  See Also:
    Constant Field Values

### COLUMN_HEADER_AREA

    static final java.lang.String COLUMN_HEADER_AREA

  The areaType key used to define the column headers area of an OLAP table view.

  See Also:
    Constant Field Values

### ROW_HEADER_AREA

    static final java.lang.String ROW_HEADER_AREA

  The areaType key used to define the row headers area of an OLAP table view.

  See Also:
    Constant Field Values

### DATA_CELL_AREA

    static final java.lang.String DATA_CELL_AREA

  The areaType key used to define the data cells area of an OLAP table view.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.